Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openspml.message
Class Identifier

    java.lang.Object
      |
      +--org.openspml.message.Identifier

public class Identifier
extends java.lang.Object
implements Constants

A class used to represent an `identifier` element, found in several contexts within SPML messages.

Field Summary
`static java.lang.String` | `TYPE_DN`
`static java.lang.String` | `TYPE_EMailAddress` Valid values for the "identifierType" attribute.
`static java.lang.String` | `TYPE_GenericString`
`static java.lang.String` | `TYPE_GUID`
`static java.lang.String` | `TYPE_LibertyUniqueID`
`static java.lang.String` | `TYPE_OID`
`static java.lang.String` | `TYPE_PassportUniqueID`
`static java.lang.String` | `TYPE_SAMLSubject`
`static java.lang.String` | `TYPE_URN`
`static java.lang.String` | `TYPE_UserIDAndOrDomainName`

Fields inherited from interface org.openspml.message.Constants
`ACTION_PREFIX, ENUM_PREFIX`

Constructor Summary
`Identifier()` Arbitrary DOM for complex identifiers.
`Identifier(java.lang.String id)`

Method Summary
`java.util.List` | `getAttributes()`
`java.lang.String` | `getId()`
`java.lang.String` | `getType()`
`void` | `setAttribute(Attribute a)`
`void` | `setAttributes(java.util.List l)`
`void` | `setId(java.lang.String s)`
`void` | `setType(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_EMailAddress

    public static final java.lang.String TYPE_EMailAddress

  Valid values for the "identifierType" attribute.

### TYPE_DN

    public static final java.lang.String TYPE_DN

### TYPE_UserIDAndOrDomainName

    public static final java.lang.String TYPE_UserIDAndOrDomainName

### TYPE_LibertyUniqueID

    public static final java.lang.String TYPE_LibertyUniqueID

### TYPE_PassportUniqueID

    public static final java.lang.String TYPE_PassportUniqueID

### TYPE_GUID

    public static final java.lang.String TYPE_GUID

### TYPE_URN

    public static final java.lang.String TYPE_URN

### TYPE_GenericString

    public static final java.lang.String TYPE_GenericString

### TYPE_SAMLSubject

    public static final java.lang.String TYPE_SAMLSubject

### TYPE_OID

    public static final java.lang.String TYPE_OID

Constructor Detail

### Identifier

    public Identifier()

  Arbitrary DOM for complex identifiers. Should have explicit support for SAMLSubjects.

### Identifier

    public Identifier(java.lang.String id)

Method Detail

### setType

    public void setType(java.lang.String s)

### setId

    public void setId(java.lang.String s)

### setAttributes

    public void setAttributes(java.util.List l)

### setAttribute

    public void setAttribute(Attribute a)

### getId

    public java.lang.String getId()

### getType

    public java.lang.String getType()

### getAttributes

    public java.util.List getAttributes()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD